%define major 0
%define libname %mklibname mpd %{major}
%define develname %mklibname mpd -d

Summary:	Music Player Daemon Library
Name:		libmpd
Version:	0.17.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
Url:		http://sarine.nl/libmpd
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	glib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libmpd is an a library to easily connect to a mpd server. 
It's wraps around libmpdclient and provides a higher level api. 

%package -n %{libname}
Summary:	Music Player Daemon Library
Group:		Sound
Obsoletes:	libmpd

%description -n %{libname}
Libmpd is an a library to easily connect to a mpd server. 
It's wraps around libmpdclient and provides a higher level api. 

%package -n %{develname}
Summary:	Header files for developing programs with libmpd
Requires:	%{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Group:		Development/Other

%description -n %{develname}
libmpd-devel is a sub-package which contains header files and static libraries
for developing program with libmpd.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/%{name}.la

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/libmpd.so.%{major}*

%files -n %{develname}
%defattr (-,root,root)
%doc ChangeLog README
%{_libdir}/libmpd.so
%{_libdir}/pkgconfig/libmpd.pc
%{_includedir}/libmpd-1.0


%changelog
* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17.0-1mdv2009.1
+ Revision: 320594
- update to new version 0.17.0

* Tue Oct 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16.1-1mdv2009.1
+ Revision: 296175
- update to new version 0.16.1
- update to new version 0.16.0
- fix urls

* Sat Jul 26 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15.0-5mdv2009.0
+ Revision: 250191
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 0.15.0-3mdv2008.1
+ Revision: 139830
- obsoletes old devel name

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.0-2mdv2008.1
+ Revision: 138504
- correct provides

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15.0-1mdv2008.1
+ Revision: 133733
- adjust buildrequires
- new version
- libification
- new license policy
- move docs to devel subpackage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.0-2mdv2008.0
+ Revision: 32203
- fix group

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.0-1mdv2008.0
+ Revision: 32191
- new version
- spec file clean


* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.13.0-2mdv2007.0
+ Revision: 132758
- Fix group and description

* Wed Feb 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.13.0-1mdv2007.1
+ Revision: 123706
- New release 0.13.0

* Wed Feb 21 2007 Jérôme Soyer <saispo@mandriva.org> 0.12.0-1mdv2007.1
+ Revision: 123582
- Fix errors
- Fix errors
- Fix errors
- Import libmpd

